%define module_version 0.116
%define module_name Message-Passing
# BEGIN SourceDeps(oneline):
BuildRequires: perl(AnyEvent.pm) perl(AnyEvent/Handle.pm) perl(AnyEvent/Handle/UDP.pm) perl(CPAN.pm) perl(Compress/Bzip2.pm) perl(Compress/Zlib.pm) perl(Config.pm) perl(Config/Any.pm) perl(Crypt/Blowfish.pm) perl(Crypt/CBC.pm) perl(Cwd.pm) perl(DateTime.pm) perl(Exporter.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(FileHandle.pm) perl(FindBin.pm) perl(IO/Handle.pm) perl(IO/Socket/INET.pm) perl(JSON.pm) perl(JSON/MaybeXS.pm) perl(LWP/Simple.pm) perl(Linux/IO_Prio.pm) perl(List/MoreUtils.pm) perl(Module/Build.pm) perl(Module/Runtime.pm) perl(Moo.pm) perl(Moo/Role.pm) perl(MooX/Options.pm) perl(MooX/Types/MooseLike.pm) perl(MooX/Types/MooseLike/Base.pm) perl(Net/FTP.pm) perl(Net/Statsd.pm)
BuildRequires: perl(Package/Variant.pm) perl(Parse/CPAN/Meta.pm) perl(Pod/Coverage.pm) perl(Scalar/Util.pm) perl(Socket.pm) perl(String/RewritePrefix.pm) perl(Sys/Hostname/Long.pm) perl(Task/Weaken.pm) perl(Test/CPAN/Changes.pm) perl(Test/More.pm) perl(Test/NoTabs.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Test/Spelling.pm) perl(Try/Tiny.pm) perl(YAML/Tiny.pm) perl(base.pm) perl(inc/Module/Install.pm) perl(namespace/clean.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.116
Release: alt1
Summary: a simple way of doing messaging.
Group: Development/Perl
License: lgpl_2_1
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/A/AB/ABRAXXA/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
A library for building high performance, loosely coupled and reliable/resilient applications,
structured as small services which communicate over the network by passing messages.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc Changes TODO README
%perl_vendor_privlib/M*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
* Thu Apr 02 2015 Igor Vlasenko <viy@altlinux.ru> 0.116-alt1
- regenerated from template by package builder

* Fri Sep 05 2014 Igor Vlasenko <viy@altlinux.ru> 0.115-alt1
- regenerated from template by package builder

* Fri Mar 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.114-alt1
- initial import by package builder

